
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Save blank state after do_blank|unblank_screen() since this flag is checked in
fbcon_blank().

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/console/fbcon.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/video/console/fbcon.c~fbcon-save-blank-state-last drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbcon-save-blank-state-last	Tue Jan 18 15:04:54 2005
+++ 25-akpm/drivers/video/console/fbcon.c	Tue Jan 18 15:05:36 2005
@@ -2647,13 +2647,12 @@ static void fbcon_fb_blanked(struct fb_i
 	if (vc->vc_mode == KD_TEXT &&
 	    registered_fb[con2fb_map[ops->currcon]] == info &&
 	    CON_IS_VISIBLE(vc)) {
-		ops->blank_state = blank;
-
 		if (blank)
 			do_blank_screen(0);
 		else
 			do_unblank_screen(0);
 	}
+	ops->blank_state = blank;
 }
 
 static int fbcon_event_notify(struct notifier_block *self, 
_
